Subject: Re: bug#17484: 24.3.91; Emacs Pretest (emacs-24.3.91.tar.xz) freeze

From: Daimrod <[email-masked]>
Date: Wed, 14 May 2014 12:34:32 +0900

Daimrod <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>>> So, that's an org-mode bug, I'll try to see if I can reproduce it
>>
>> Right: org-adaptive-fill-function should finish fairly promptly.
>>
>>> (though I wonder why it uses `inhibit-quit' in the first place).
>>
>> It's not org-mode which binds inhibit-quit but the C code that runs
>> jit-lock.  The C code binds inhibit-quit basically any time we run
>> "asynchronous code" (i.e. code run from redisplay, timers,
>> process-filters, ...) since the user usually doesn't really know that
>> such is running, so if she hits C-g she doesn't mean for it to interrupt
>> that code, but instead to do something else (e.g. get out of the
>> minibuffer).
>
> Well, `org-mks' (in `org-capture.el') sets `inhibit-quit' to T and is
> called by `org-capture'.

You were right, it's not a problem with `org-capture', I had a another
freeze without using it.

Here is the xbacktraces:
gdb) xbacktrace
"avl-tree-delete" (0xffff54b0)
"byte-code" (0xffff55a0)
"byte-code" (0xffff5760)
"org-element--cache-process-request" (0xffff5990)
"byte-code" (0xffff5aa0)
"org-element--cache-sync" (0xffff5ce0)
"org-element-at-point" (0xffff5e00)
"byte-code" (0xffff60d0)
"org-adaptive-fill-function" (0xffff6300)
"fill-match-adaptive-prefix" (0xffff6480)
"fill-context-prefix" (0xffff6620)
"adaptive-wrap-fill-context-prefix" (0xffff67d0)
"adaptive-wrap-prefix-function" (0xffff6a18)
"run-hook-with-args" (0xffff6a10)
0x4d89f80 PVEC_COMPILED
"funcall" (0xffff6b30)
"jit-lock-fontify-now" (0xffff6e38)
"jit-lock-function" (0xffff6fc8)
"vertical-motion" (0xffffdca8)
"end-of-visual-line" (0xffffde08)
"call-interactively" (0xffffdfc0)
"org-end-of-line" (0xffffe198)
"call-interactively" (0xffffe350)
"command-execute" (0xffffe478)

I wonder if it is because `org-adaptive-fill-function' doesn't mix well
with `adaptive-wrap-prefix-mode'...

-- 
Daimrod/Greg